PWCK(8)

NOM
pwck - Vérifier l'intégrité des fichiers de mots de passe

SYNOPSIS

pwck [-q] [-s] [passwd [ shadow ]]

pwck [-q] [-r] [passwd [ shadow ]]

DESCRIPTION

The pwck command verifies the integrity of the users and authentication information. It checks that all entries in /etc/passwd and /etc/shadow have the proper format and contain valid data. The user is prompted to delete entries that are improperly formatted or which have other uncorrectable errors.

Voici les vérifications effectuées :

    • nombre correct de champs

    • a unique and valid user name

    • validité des identifiants d'utilisateur et de groupe

    • validité du groupe primaire

    • validité du répertoire personnel

    • validité de l'interpréteur de commandes initial (« login shell »)

shadow checks are enabled when a second file parameter is specified or when /etc/shadow exists on the system.

These checks are the following:

    • every passwd entry has a matching shadow entry, and every shadow entry has a matching passwd entry

    • passwords are specified in the shadowed file

    • shadow entries have the correct number of fields

    • shadow entries are unique in shadow

    • the last password changes are not in the future

Une erreur dans le nombre de champs ou la non unicité d'un nom d'utilisateur sera fatale. Si le nombre de champs n'est pas correct, il sera demandé à l'utilisateur de supprimer la ligne. Si l'utilisateur ne répond pas par l'affirmative, les vérifications suivantes ne seront pas effectuées. Il sera également demandé de supprimer les entrées correspondant aux noms d'utilisateur redondants, mais dans ce cas, les autres vérifications seront effectuées. Toutes les autres erreurs ne sont que des avertissements et l'utilisateur est encouragé à utiliser usermod pour les corriger.

Les commandes qui opèrent sur le fichier /etc/passwd ne peuvent pas modifier les entrées corrompues ou redondantes. Pwck doit être utilisé dans ce cas pour retirer ces entrées.

OPTIONS

Les options disponibles pour la commande pwck sont :

-q
    Ne signaler que les erreurs. Les avertissements qui ne nécessite pas une action de la part de l'utilisateur ne seront pas affichés.

-r
    Permet d'exécuter pwck dans le mode lecture seule.

-s
    Trie les entrées de /etc/passwd et /etc/shadow par UID.

Par défaut, pwck opère sur les fichiers /etc/passwd et /etc/shadow. L'utilisateur peut spécifier d'autres fichiers avec les paramètres fichier_passwd et fichier_shadow.

CONFIGURATION

Les variables de configuration suivantes de /etc/login.defs modifient le comportement de cet outil :

PASS_MAX_DAYS (nombre)
    Nombre maximum de jours de validité d'un mot de passe. Après cette durée, une modification du mot de passe est obligatoire. S'il n'est pas précisé, la valeur de -1 est utilisée (ce qui enlève toute restriction).

PASS_MIN_DAYS (nombre)
    Nombre minimum de jours autorisé avant la modification d'un mot de passe. Toute tentative de modification du mot de passe avant cette durée est rejetée. S'il n'est pas précisé, la valeur de -1 est utilisée (ce qui enlève toute restriction).

PASS_WARN_AGE (nombre)
    Nombre de jours durant lesquels l'utilisateur recevra un avertissement avant que son mot de passe n'arrive en fin de validité. Une valeur négative signifie qu'aucun avertissement n'est donné. S'il n'est pas précisé, aucun avertissement n'est donné.

FICHIERS

/etc/group
    Informations sur les groupes.

/etc/passwd
    Informations sur les comptes des utilisateurs.

/etc/shadow
    Informations sécurisées sur les comptes utilisateurs.

VALEURS DE RETOUR

La commande pwck retourne les valeurs suivantes en quittant :

0
    succès

1
    erreur de syntaxe

2
    une entrée de mot de passe ou plus est incorrecte

3
    impossible d'ouvrir les fichiers de mots de passe

4
    impossible de verrouiller les fichiers de mots de passe

5
    impossible de mettre à jour les fichiers des mots de passe

6
    impossible de trier les fichiers de mots de passe

VOIR AUSSI

group(5), grpck(8), passwd(5), shadow(5), usermod(8).